Debian Bug report logs - #476284
ITP: bullet -- physics engine for games

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Guillaume Libersat <glibersat@linux62.org>

Date: Tue, 15 Apr 2008 15:36:02 UTC

Owned by: Markus Koschany <apo@gambaru.de>

Severity: wishlist

Fixed in version bullet/2.81-rev2613+dfsg-1

Done: Markus Koschany <apo@gambaru.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#476284; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Guillaume Libersat <glibersat@linux62.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Guillaume Libersat <glibersat@linux62.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: bulletphysics -- Bullet is a free software physics engine for games and simulations
Date: Tue, 15 Apr 2008 17:34:00 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist


* Package name    : bulletphysics
  Version         : 2.68
  Upstream Author : Erwin Coumans <erwin.coumans@gmail.com>
* URL             : http://www.bulletphysics.com/
* License         : Zlib
  Programming Lang: C
  Description     : Bullet is a free software physics engine for games
  and simulations.

Bullet 3D Game Physics Library provides state of the art collision
detection and rigid body dynamics.
Its main features are :
    * Discrete and continuous collision detection (CCD)
    * Swept collision queries
    * Ray casting with custom collision filtering
    * Generic convex support (using GJK), capsule, cylinder, cone,
    sphere, box and non-convex triangle meshes.
    * Multi-threaded support for Playstation 3 Cell SPU and other
    platforms
    * Supports import and export into COLLADA 1.4 Physics format
    * Support for dynamic deformation of non-convex triangle meshes, by
    refitting the acceleration structures

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/2 CPU cores)
Locale: LANG=fr_FR@euro, LC_CTYPE=fr_FR@euro (charmap=ISO-8859-15)
Shell: /bin/sh linked to /bin/bash
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#476284; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wen-Yen Chuang <caleb@calno.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 476284@bugs.debian.org (full text, mbox):

From: Wen-Yen Chuang <caleb@calno.com>
To: 476284@bugs.debian.org, control@bugs.debian.org
Subject: ITP: bulletphysics -- physics engine for games
Date: Wed, 21 May 2008 14:14:49 +0800
retitle 476284 ITP: bulletphysics -- physics engine for games
owner 476284 !
thanks

I will work on this with Debian Games Team.

Wen-Yen Chuang (caleb)





Changed Bug title to `ITP: bulletphysics -- physics engine for games' from `RFP: bulletphysics -- Bullet is a free software physics engine for games and simulations'. Request was from Wen-Yen Chuang <caleb@calno.com> to control@bugs.debian.org. (Wed, 21 May 2008 06:21:04 GMT) Full text and rfc822 format available.

Owner recorded as Wen-Yen Chuang <caleb@calno.com>. Request was from Wen-Yen Chuang <caleb@calno.com> to control@bugs.debian.org. (Wed, 21 May 2008 06:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#476284; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Wen-Yen Chuang <caleb@calno.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #19 received at 476284@bugs.debian.org (full text, mbox):

From: Wen-Yen Chuang <caleb@calno.com>
To: 476284@bugs.debian.org
Subject: Re: ITP: bulletphysics -- physics engine for games
Date: Mon, 09 Jun 2008 16:06:13 +0800
bullet has been in SVN of Debian Games Team.

Wen-Yen Chuang (caleb)




Changed Bug title to `RFP: bulletphysics -- physics engine for games' from `ITP: bulletphysics -- physics engine for games'. Request was from Wen-Yen Chuang <caleb@calno.com> to control@bugs.debian.org. (Wed, 10 Sep 2008 00:09:04 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by Wen-Yen Chuang <caleb@calno.com>. Request was from Wen-Yen Chuang <caleb@calno.com> to control@bugs.debian.org. (Wed, 10 Sep 2008 00:09:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#476284; Package wnpp. (Sun, 15 Feb 2009 23:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gonéri Le Bouder <goneri@rulezlan.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Sun, 15 Feb 2009 23:39:02 GMT) Full text and rfc822 format available.

Message #28 received at 476284@bugs.debian.org (full text, mbox):

From: Gonéri Le Bouder <goneri@rulezlan.org>
To: 476284@bugs.debian.org
Subject: Re: RFP: bulletphysics -- physics engine for games
Date: Mon, 16 Feb 2009 00:38:29 +0100
[Message part 1 (text/plain, inline)]
http://lists.debian.org/debian-devel-games/2008/05/msg00213.html
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#476284; Package wnpp. (Fri, 20 Nov 2009 19:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Arc Riley <arcriley@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. (Fri, 20 Nov 2009 19:57:06 GMT) Full text and rfc822 format available.

Message #33 received at 476284@bugs.debian.org (full text, mbox):

From: Arc Riley <arcriley@ubuntu.com>
To: 476284@bugs.debian.org
Subject: package name
Date: Fri, 20 Nov 2009 14:55:37 -0500
[Message part 1 (text/plain, inline)]
The name of the package should be "bullet" to remain consistent with other
distros, notably Redhat and Gentoo.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Wed, 12 May 2010 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benjamin Eikel <debian@eikel.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 12 May 2010 10:12:03 GMT) Full text and rfc822 format available.

Message #38 received at 476284@bugs.debian.org (full text, mbox):

From: Benjamin Eikel <debian@eikel.org>
To: 476284@bugs.debian.org
Subject: Current status
Date: Wed, 12 May 2010 12:02:21 +0200
Hello,

is there any progress in including Bullet into Debian?

Kind regards,
Benjamin




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Fri, 25 Feb 2011 15:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Fri, 25 Feb 2011 15:33:09 GMT) Full text and rfc822 format available.

Message #43 received at 476284@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 476284@bugs.debian.org
Cc: caleb@calno.com
Subject: Current status
Date: Fri, 25 Feb 2011 21:02:23 +0530
Hi all,
 I saw the whole thread at
http://lists.debian.org/debian-devel-games/2008/05/msg00213.html which
leads to the same thing above.

But this was 3 years ago. Are the same things relevant now as well ?

No programmer here. Some links though that need to be changed/updated whatever.

https://secure.wikimedia.org/wikipedia/en/wiki/Bullet_%28software%29

http://bulletphysics.org/

http://www.bulletphysics.org/Bullet/phpBB3/

http://code.google.com/p/bullet/

Looking forward to knowing more.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Thu, 14 Jul 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Laszlo Papp <lpapp@kde.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 14 Jul 2011 10:33:06 GMT) Full text and rfc822 format available.

Message #48 received at 476284@bugs.debian.org (full text, mbox):

From: Laszlo Papp <lpapp@kde.org>
To: 476284@bugs.debian.org
Subject: Bullet Physics
Date: Thu, 14 Jul 2011 13:29:04 +0300
Hi,

It would be nice to have this package. It has proper API
documentation, no danger with using it. Very nice addition regarding
the 3D Physics and opensource model. We are also using this project in
our leisure time project.

Last, but not least: It is also available in case of Archlinux. Thank
you in advance!

Best Regards,
Laszlo Papp




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Sun, 16 Oct 2011 21:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marko Lindqvist <cazfi74@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 16 Oct 2011 21:42:04 GMT) Full text and rfc822 format available.

Message #53 received at 476284@bugs.debian.org (full text, mbox):

From: Marko Lindqvist <cazfi74@gmail.com>
To: 476284@bugs.debian.org
Date: Mon, 17 Oct 2011 00:38:46 +0300
 Even if physics change caused by library upgrade independently from
program upgrade would sometimes be unwanted, there should be option to
use bullet from debian packet. Those programs that cannot afford to
risk physics upgrade without balancing everything in program itself
would be no way forced to use that packet, but they could still use
their own internal bullet copy. Another, though IMO much worse, option
would be to provide several bullet packets, one of each supported
bullet version and one metapacket that would depend on current default
version packet.

 I've done some bullet dependent packages myself, and for that goal I
had to package also bullet myself ( http://build.cazfi.net/deb/ ).
There's also packages in getdeb, and as earlier comments mentioned
some work has been done in Debian version control. So there's several
independent packaging implementations of bullet already. It should be
quite easy to just cleanup official packaging from these.


 - ML




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Wed, 01 Aug 2012 14:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thanatermesis <thanatermesis@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 01 Aug 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #58 received at 476284@bugs.debian.org (full text, mbox):

From: Thanatermesis <thanatermesis@gmail.com>
To: 476284@bugs.debian.org
Subject: Packaging sources
Date: Wed, 01 Aug 2012 16:15:43 +0200
[Message part 1 (text/plain, inline)]
Hi,

I have made a debian build for this package, it may require minor 
modifications but can be used for package bullet, the copyright is 
correctly configured, standards with new lib arch mode, and the watch 
file is working


Thanatermesis

[libbullet-debian-files.tgz (application/x-compressed-tar, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Sat, 06 Oct 2012 12:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 06 Oct 2012 12:21:03 GMT) Full text and rfc822 format available.

Message #63 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: thanatermesis@gmail.com
Cc: 476284@bugs.debian.org
Subject: ITP: bulletphysics -- physics engine for games
Date: Sat, 6 Oct 2012 14:19:45 +0200
[Message part 1 (text/plain, inline)]
Hello Thanatermesis,

i had a look at your debian directory and wondered, what's keeping you
from maintaining bullet within Debian?

I'm interested because libbullet is a requirement for FreeOrion, a
strategy game, which could probably be included in Debian if libbullet was
packaged. 

What's your thoughts on this?

Cheers,
Markus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Sat, 20 Oct 2012 23:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Felix <davidjfelix@davidjfelix.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 20 Oct 2012 23:30:03 GMT) Full text and rfc822 format available.

Message #68 received at 476284@bugs.debian.org (full text, mbox):

From: David Felix <davidjfelix@davidjfelix.com>
To: 476284@bugs.debian.org
Subject: Re: ITP: bulletphysics -- physics engine for games
Date: Sat, 20 Oct 2012 19:26:09 -0400
[Message part 1 (text/plain, inline)]
I would love to see bullet included. Besides the people above me that
packaged it themselves, it exists in debian already (Just not the way we
need). IIRC, its a part of Blender's physics, and current compilations of
Blender have Bullet statically linked. If we could work with the Blender
maintainer, I'm sure we could get Bullet as a Dynamic library and have
blender linked against that rather than having it as it currently is. I
think pulling Bullet from Blender will give the Bullet more attention for
maintenance, as it's currently been almost 4 years since it was noted that
it should be included. I'm new to the whole Debian packaging. I'm willing
to send the emails if people can point me in the right direction.

David J Felix
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Sat, 24 Nov 2012 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 24 Nov 2012 06:03:03 GMT) Full text and rfc822 format available.

Message #73 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: control@bugs.debian.org
Cc: 476284@bugs.debian.org
Subject: ITP: bulletphysics -- physics engine for games
Date: Sat, 24 Nov 2012 06:59:27 +0100
[Message part 1 (text/plain, inline)]
retitle 476284 ITP: bulletphysics -- physics engine for games
owner 476284 !
thanks

I will work on bullet. I also want to maintain the library as part of
the Debian Games Team. Every help and support is welcome, especially know-how
regarding shared libraries and perhaps someone who is interested in
sponsoring Bullet.

I hope i will finish a working version by no later than the end of the year but
don't expect to see a release of bullet during the freeze.

[signature.asc (application/pgp-signature, inline)]

Changed Bug title to 'ITP: bulletphysics -- physics engine for games' from 'RFP: bulletphysics -- physics engine for games' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Sat, 24 Nov 2012 06:03:09 GMT) Full text and rfc822 format available.

Owner recorded as Markus Koschany <apo@gambaru.de>. Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Sat, 24 Nov 2012 06:03:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Mon, 07 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Smirnov <onlyjob@member.fsf.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Mon, 07 Jan 2013 18:09:03 GMT) Full text and rfc822 format available.

Message #82 received at 476284@bugs.debian.org (full text, mbox):

From: Dmitry Smirnov <onlyjob@member.fsf.org>
To: 476284@bugs.debian.org
Subject: package repository
Date: Tue, 8 Jan 2013 05:03:52 +1100
http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/bullet/

---
Democracy is a pathetic belief in the collective wisdom of individual 
ignorance. 
		 (H. L. Mencken)



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Tue, 08 Jan 2013 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Tue, 08 Jan 2013 16:33:03 GMT) Full text and rfc822 format available.

Message #87 received at 476284@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 476284@bugs.debian.org
Subject: remembered why I need bullet - OpenMW
Date: Tue, 8 Jan 2013 22:01:49 +0530
Hi all,
Just remembered the game why I needed bullet. To compile OpenMW which
also uses bullet.

See https://openmw.org/
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Added indication that bug 476284 blocks 593339 Request was from Dmitry Smirnov <onlyjob@member.fsf.org> to control@bugs.debian.org. (Thu, 10 Jan 2013 00:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Wed, 16 Jan 2013 07:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Wed, 16 Jan 2013 07:06:06 GMT) Full text and rfc822 format available.

Message #94 received at 476284@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 476284@bugs.debian.org
Subject: Markus committed some stuff to bullet repo. under pkg-games.
Date: Wed, 16 Jan 2013 12:34:07 +0530
Hi all,
Just saw that Markus commited some stuff to the bullet repo., Amazing. See :-

http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git;a=commitdiff;h=a80b1bb

What is/was most interesting is the TODO in that :-

http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git;a=blob;f=debian/TODO.Debian;h=53b2e901df88903aa89b91c359fdacbd05537467;hb=a80b1bb

@markus as a user either way is fine with us for point 1 and 2. You
have to see what is good for you short and long-term. If you want to
have a package for each library that's also fine with us. What you can
do in that situation is make the main libbullet package either
recommend or suggest (depending on what you think is good) the other
library packages. Another way would be to have a dummy metapackage
which pulls in the other libraries. See as given in
https://wiki.debian.org/tasksel (the part about web-server task
package). You could also ask the same in the debian-games ML where I'm
sure they would have some of their own guidelines concerning this.

Looking forward to the shared library.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Wed, 16 Jan 2013 07:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Wed, 16 Jan 2013 07:12:03 GMT) Full text and rfc822 format available.

Message #99 received at 476284@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: 476284@bugs.debian.org
Subject: you can see such a listing of metapackages if you do $apt-cache search metapackage
Date: Wed, 16 Jan 2013 12:39:47 +0530
Hi Markus,
You can see a list of metapackages if you do $apt-cache search
metapackage as e.g.'s of what I shared above.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Changed Bug title to 'ITP: bullet -- physics engine for games' from 'ITP: bulletphysics -- physics engine for games' Request was from Markus Koschany <apo@gambaru.de> to control@bugs.debian.org. (Wed, 16 Jan 2013 19:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Wed, 16 Jan 2013 21:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 16 Jan 2013 21:27:03 GMT) Full text and rfc822 format available.

Message #106 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: debian-devel-games@lists.debian.org
Cc: 476284@bugs.debian.org
Subject: Bullet
Date: Wed, 16 Jan 2013 22:23:13 +0100
[Message part 1 (text/plain, inline)]
Hi all

I have committed an initial version of Bullet to our git repository and
wanted to share my thoughts on this library. There are still some
question marks, every feedback and advice is welcome.

First of all Bullet is a professional 3D Game Multiphysics Library and
it provides state of the art collision detection, soft body and rigid
body dynamics. It is very well maintained and supported by major
companies like AMD, Sony Entertainment or Apple and used in many well
known commercial titles like Shrek4, Megamind 3D, Disney's Cars 2 or Toy
Story 3 game. Of course there are some free software projects too which
can benefit from Bullet, namely Blender or FreeOrion. Dmitry has started
to work on FreeOrion and i intend to join in. I think that's a good
opportunity to test Bullet.

Where we stand
==============

http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git;a=summary

I had to repack the sources. You can obtain the dfsg compatible tarball
by using debian/rules get-orig-source. I needed to remove embedded
software like tinyxml, cppunit and glui which are already packaged and
some non-free files. I'm quite confident that i have found all of them
but four eyes see more than two.

The copyright file is complete. Please try to prove me wrong. ;-)

Bullet consists of four must have / core libraries, BulletCollison,
BulletDynamics, BulletSoftbody and LinearMath. It is also possible to
build 6 extra libraries: HACD, ConvexDecomposition, BulletFileLoader,
BulletWorldImporter, BulletXmlWorldImporter and GIMPACTUtils. I intend
to package all of them but not the Demos.

At the moment i have split Bullet in 14 binary packages. The already
mentioned 10 shared libraries, 2 dev-packages, libbullet-dev and
libbullet-extras-dev, one -dbg package and a -doc package.

I'm not sure whether this layout is the best approach, feedback and
advice is much appreciated. Policy says when in doubt splitting the
package is better and i think in the long run this might make it even
easier to react on certain issues.

Bullet's SONAME matches the release version hence i have named the
packages libbulletcollision2.81 and so on. I think we can expect a
different SONAME every new release. What is the best approach to find a
sane versioning scheme here?

Please have a look at TODO.Debian, i have made some remarks there.

Co-maintainers are always welcome!

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Wed, 16 Jan 2013 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Wed, 16 Jan 2013 21:54:03 GMT) Full text and rfc822 format available.

Message #111 received at 476284@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: debian-devel-games@lists.debian.org, 476284@bugs.debian.org
Subject: Re: Bullet
Date: Wed, 16 Jan 2013 22:50:28 +0100
  Hello,

On Wed, Jan 16, 2013 at 10:23 PM, Markus Koschany <apo@gambaru.de> wrote:
> Bullet's SONAME matches the release version hence i have named the
> packages libbulletcollision2.81 and so on. I think we can expect a
> different SONAME every new release. What is the best approach to find a
> sane versioning scheme here?

  This is not necessarily great news here. There are two reasons why
upstream use that naming scheme:

  * the first and unfortunately least likely is that upstream isn't
too knowledgeable about SONAME and binary compatibility, in which case
pointing them nicely at
http://www.gnu.org/software/libtool/manual/html_node/Release-numbers.html#Release-numbers
could help them to change their view on the subject. (I had another
better documentation in mind, but I can't find it anymore).

  * if that is not the case and the reason why upstream chose to use
the version as SONAME is that they don't care about binary
compatibility between releases. If that is true, then it means a
transition for EVERY new upstream release. The release team won't like
that so much...

  In both cases, a discussion must occur with upstream to know what is
their policy about binary compatibility.

  Hope this helps,

  Cheers,

      Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Wed, 16 Jan 2013 22:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 16 Jan 2013 22:24:03 GMT) Full text and rfc822 format available.

Message #116 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Vincent Fourmond <fourmond@gmail.com>, 476284@bugs.debian.org
Cc: debian-devel-games@lists.debian.org
Subject: Re: Bug#476284: Bullet
Date: Wed, 16 Jan 2013 23:21:06 +0100
[Message part 1 (text/plain, inline)]
Hello Vincent,

On 16.01.2013 22:50, Vincent Fourmond wrote:
>   Hello,
> 
> On Wed, Jan 16, 2013 at 10:23 PM, Markus Koschany <apo@gambaru.de> wrote:
>> Bullet's SONAME matches the release version hence i have named the
>> packages libbulletcollision2.81 and so on. I think we can expect a
>> different SONAME every new release. What is the best approach to find a
>> sane versioning scheme here?
> 
>   This is not necessarily great news here. There are two reasons why
> upstream use that naming scheme:
> 
>   * the first and unfortunately least likely is that upstream isn't
> too knowledgeable about SONAME and binary compatibility, in which case
> pointing them nicely at
> http://www.gnu.org/software/libtool/manual/html_node/Release-numbers.html#Release-numbers
> could help them to change their view on the subject. (I had another
> better documentation in mind, but I can't find it anymore).
>  * if that is not the case and the reason why upstream chose to use
> the version as SONAME is that they don't care about binary
> compatibility between releases. If that is true, then it means a
> transition for EVERY new upstream release. The release team won't like
> that so much...
> 
>   In both cases, a discussion must occur with upstream to know what is
> their policy about binary compatibility.
> 

Upstream does provide an option to build shared libraries so i would not
claim nobody cares about this use case. On the other hand i have seen
Erwin Coumans, main developer and project leader of Bullet, stating many
times that Bullet is designed as a static library.
The Debian Policy also does not rule out using static libraries for some
use cases. These cases include:

8.3 "libraries which are explicitly intended to be available only in
static form by their upstream author(s)"

The main question is how many packages in Debian can benefit more from
Bullet in static form or as a shared library? My intention was to
continue the work from four years ago and to provide shared libraries
but i'm open for everything, if we can agree on something else.

I expect two releases of Bullet per year and major breakage when Bullet
introduces version 3. But i have absolutely no empirical values how
Bullet and all packages which depend on it will behave between two
releases.

Regards,

Markus

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Thu, 17 Jan 2013 00:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Thu, 17 Jan 2013 00:18:03 GMT) Full text and rfc822 format available.

Message #121 received at 476284@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-devel-games@lists.debian.org, 476284@bugs.debian.org
Subject: Re: Bullet
Date: Thu, 17 Jan 2013 08:14:28 +0800
Since you appear to have copied the bullet package from SVN to git,
please remove this:

svn://svn.debian.org/svn/pkg-games/packages/trunk/bullet

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Thu, 17 Jan 2013 00:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul Wise <pabs@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Thu, 17 Jan 2013 00:18:05 GMT) Full text and rfc822 format available.

Message #126 received at 476284@bugs.debian.org (full text, mbox):

From: Paul Wise <pabs@debian.org>
To: debian-devel-games@lists.debian.org, 476284@bugs.debian.org
Subject: Re: Bullet
Date: Thu, 17 Jan 2013 08:16:16 +0800
On Thu, Jan 17, 2013 at 5:50 AM, Vincent Fourmond <fourmond@gmail.com> wrote:

>   In both cases, a discussion must occur with upstream to know what is
> their policy about binary compatibility.

Sounds unlikely to be useful based on the comment in debian/changelog
in the SVN repository:

    - upstream doesn't care about shared libraries, needs
Debian-specific SONAMEs

-- 
bye,
pabs

http://wiki.debian.org/PaulWise



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Thu, 17 Jan 2013 21:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Thu, 17 Jan 2013 21:48:05 GMT) Full text and rfc822 format available.

Message #131 received at 476284@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: 476284@bugs.debian.org, Markus Koschany <apo@gambaru.de>
Subject: bullet package name/numbering
Date: Thu, 17 Jan 2013 16:44:29 -0500
Hello, late to the party but wanted to put in a comment regarding
library package naming/versioning. Please ignore this if it has
already been discussed and i missed it in the thread)

If your library belongs to a package that doesn't believe in sane
SONAME version numbering, but instead releases based on version
numbers that have nothing to do with binary compatibility, it is
sometimes best to use the -release LDFLAG:


From the autotools book (but you can adjust it for whatever build
system you want) [1]


%-snip-%
`-release'
    On occasion, it is desirable to encode the release number of a
library into its name. By specifying the release number with this
option, libtool will build a library that does this, but will break
binary compatibility for each change of the release number. By
breaking binary compatibility this way, you negate the possibility of
fixing bugs in installed programs by installing an updated shared
library. You should probably be using `-version-info' instead.
	

    libshell_la_LDFLAGS = -release 27

    The above fragment might create a library called
`libshell-27.so.0.0.0' for example.

%-snip-%



So, perhaps, libbulletcollision2.81 should really be:

libbulletcollision-2.81.so.0.0.0

and package name "libbulletcollission-2.81" not
"libbulletcollision2.81"  (note the dash and number is in the name,
the version will be appended on to it. This will, however, force
everything to be rebuilt whenever upstream releases a new version.


[1] http://www.sourceware.org/autobook/autobook/autobook_88.html#SEC88



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Thu, 24 Jan 2013 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 24 Jan 2013 12:57:03 GMT) Full text and rfc822 format available.

Message #136 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Scott Howard <showard314@gmail.com>
Cc: 476284@bugs.debian.org
Subject: Re: bullet package name/numbering
Date: Thu, 24 Jan 2013 13:54:49 +0100
[Message part 1 (text/plain, inline)]
On Thu, 17. Jan 16:44 Scott Howard <showard314@gmail.com> wrote:
> Hello, late to the party but wanted to put in a comment regarding
> library package naming/versioning. Please ignore this if it has
> already been discussed and i missed it in the thread)

Hi Scott,

you aren't late to the party, it never stops. :) I haven't had the time
in the last days to give you a proper answer. Please bear with me for a
while, i'll definitely come back to you.

Cheers,

Markus
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Sat, 26 Jan 2013 15:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Jan 2013 15:09:03 GMT) Full text and rfc822 format available.

Message #141 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: Scott Howard <showard314@gmail.com>
Cc: 476284@bugs.debian.org, fourmond@gmail.com
Subject: Re: bullet package name/numbering
Date: Sat, 26 Jan 2013 16:05:20 +0100
[Message part 1 (text/plain, inline)]
On Thu, 17. Jan 16:44 Scott Howard <showard314@gmail.com> wrote:
> If your library belongs to a package that doesn't believe in sane
> SONAME version numbering, but instead releases based on version
> numbers that have nothing to do with binary compatibility, it is
> sometimes best to use the -release LDFLAG:

Hi Scott and Vincent, 

thank you for your feedback. At the moment i see two alternatives
(three if a static library is not a taboo)

I'm using CMAKE as build system because it is better supported by
upstream. I can achieve something similar to the autotools -release
LDFLAG with

SET_TARGET_PROPERTIES(
	BulletCollision
	PROPERTIES
		VERSION 2
		SOVERSION 2.8.1
)

although you can find the following lines in upstream's CMakelists.txt
files:

SET_TARGET_PROPERTIES(BulletCollision PROPERTIES VERSION ${BULLET_VERSION})
SET_TARGET_PROPERTIES(BulletCollision PROPERTIES SOVERSION ${BULLET_VERSION})

So apparently upstream intends to use the release version as SONAME for
the library. The background to this is, Bullet is a physics library.
Every new release the physics can slightly change which can result in
unexpected ingame behaviour of certain objects thus games are normally
tuned for a specific bullet release. Perhaps this might be different in
the case of Blender or Panda3D (not yet packaged).

With the above CMAKE construct i can produce libraries like

/usr/lib/<Triplet>/libbulletcollision.so -> libbulletcollision.so.0
/usr/lib/<Triplet>/libbulletcollision.so.2 -> libbulletcollision.so.2.8.1

but i have to patch all CMakelists.txt files. (I don't know if there is an
easier solution within debian/rules.)

So in theory it is possible to create a sane versioning scheme but this
is completely unsupported by upstream and will most likely result in
broken games because we cannot assess what effects a new version of
Bullet will have on ingame physics. 

As Vincent has already said, the Release Team won't like the thought to
make a transition every time a new Bullet version is released. But is
this really so bad? I mean, there are only a few packages which would
depend on Bullet like Blender, perhaps Supertuxkart and probably
FreeOrion. 

So if i understand the choices correctly, only bumping the SONAME is a
sane solution.

Provided the aforementioned assumption is true, is there really a difference
between

libbulletcollision-2.81 -> libbulletcollision-2.81.so.0.0.0

libbulletcollision2.81 -> libbulletcollision.so.2.81

? In the end the name of the package has to change, correct?

I will also talk to the Multimedia Team who maintains Blender at the
moment, perhaps they know best what kind of library they need and which
approach is successful in the end.

Thanks for reading this far

Regards,

Markus

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Sat, 26 Jan 2013 18:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Howard <showard314@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Sat, 26 Jan 2013 18:00:03 GMT) Full text and rfc822 format available.

Message #146 received at 476284@bugs.debian.org (full text, mbox):

From: Scott Howard <showard314@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: 476284@bugs.debian.org, fourmond@gmail.com
Subject: Re: bullet package name/numbering
Date: Sat, 26 Jan 2013 12:57:11 -0500
On Sat, Jan 26, 2013 at 10:05 AM, Markus Koschany <apo@gambaru.de> wrote:
> Hi Scott and Vincent,
>
> thank you for your feedback. At the moment i see two alternatives
> (three if a static library is not a taboo)

Static is not taboo and can be included in -dev packages. Depending
maintainers, however, are strongly encouraged against using your
static package since it increases the burden of security and
maintenance. I think that you really should include .so to be useful
though.


> I'm using CMAKE as build system because it is better supported by
> upstream. I can achieve something similar to the autotools -release
> LDFLAG with
>
> SET_TARGET_PROPERTIES(
>         BulletCollision
>         PROPERTIES
>                 VERSION 2
>                 SOVERSION 2.8.1
> )
>
> although you can find the following lines in upstream's CMakelists.txt
> files:
>
> SET_TARGET_PROPERTIES(BulletCollision PROPERTIES VERSION ${BULLET_VERSION})
> SET_TARGET_PROPERTIES(BulletCollision PROPERTIES SOVERSION ${BULLET_VERSION})

Oh, well that helps - if the soversion is bumped every time then you
might be OK with upstream's build system as is (just enable shared
libraries).

> As Vincent has already said, the Release Team won't like the thought to
> make a transition every time a new Bullet version is released. But is
> this really so bad? I mean, there are only a few packages which would
> depend on Bullet like Blender, perhaps Supertuxkart and probably
> FreeOrion.

FYI: check out OpenMW, they're making good progress and may make it
into Debian in the future.

Although the release team might not like the transitions, I bet they
prefer it to statically linked code throughout the archive. You can
talk with them ahead of time to find ways of responsibly managing
transitions.

> So if i understand the choices correctly, only bumping the SONAME is a
> sane solution.

Yes, if SONAME is bumped with every release, then that is acceptable
and borderline "sane" (sane in that it avoids breakage, however it
also will trigger a large number of transitions). I'm used to projects
that either never set the SONAME or screw up the ABI but not bump
SONAME. This is a different case, where the project is bumping the
SONAME frequently.


> Provided the aforementioned assumption is true, is there really a difference
> between
>
> libbulletcollision-2.81 -> libbulletcollision-2.81.so.0.0.0
>
> libbulletcollision2.81 -> libbulletcollision.so.2.81
>
> ? In the end the name of the package has to change, correct?

Yes - both would be ok (although the first case might not have the
0.0.0, it would just be libbulletcollision-2.81.so or the package name
would have to be libbulletcollision-2.81-0). That's all I wanted, was
to make sure the package name changes.

To get really confused, see the SDL packages
libsdl1.2debian0 -> libSDL-1.2.so.0.11.4  (Lintian says should be libsdl-1.2-0)
libsdl-1.3-0  -> libSDL-1.3.so.0.0.0
libsdl2-2.0-0 -> libSDL2-2.0.so.0.0.0

> I will also talk to the Multimedia Team who maintains Blender at the
> moment, perhaps they know best what kind of library they need and which
> approach is successful in the end.

Yes, please talk with those that would build with it - their opinions
count a lot
Cheers,
Scott



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Mon, 28 Jan 2013 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Fourmond <fourmond@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Mon, 28 Jan 2013 15:54:03 GMT) Full text and rfc822 format available.

Message #151 received at 476284@bugs.debian.org (full text, mbox):

From: Vincent Fourmond <fourmond@debian.org>
To: Markus Koschany <apo@gambaru.de>
Cc: Scott Howard <showard314@gmail.com>, 476284@bugs.debian.org
Subject: Re: bullet package name/numbering
Date: Mon, 28 Jan 2013 16:50:31 +0100
  Hi !

On Sat, Jan 26, 2013 at 4:05 PM, Markus Koschany <apo@gambaru.de> wrote:
> Hi Scott and Vincent,
>
> thank you for your feedback. At the moment i see two alternatives
> (three if a static library is not a taboo)
>
> I'm using CMAKE as build system because it is better supported by
> upstream. I can achieve something similar to the autotools -release
> LDFLAG with
>
> SET_TARGET_PROPERTIES(
>         BulletCollision
>         PROPERTIES
>                 VERSION 2
>                 SOVERSION 2.8.1
> )

  As far as I understand cmake's docs on that (or, rather, the bits I
found on mailing lists),  this makes a SONAME of 2.8.1, which still
means a SONAME bump for every version change.
>
> although you can find the following lines in upstream's CMakelists.txt
> files:
>
> SET_TARGET_PROPERTIES(BulletCollision PROPERTIES VERSION ${BULLET_VERSION})
> SET_TARGET_PROPERTIES(BulletCollision PROPERTIES SOVERSION ${BULLET_VERSION})

  I don't think this makes any difference with what you came around
with. The ideal would be to have SOVERSION be a plain integer that
increases by one every time the ABI is broken. But, this is not a
sustainable approach so long as upstream isn't into it.

> So apparently upstream intends to use the release version as SONAME for
> the library. The background to this is, Bullet is a physics library.
> Every new release the physics can slightly change which can result in
> unexpected ingame behaviour of certain objects thus games are normally
> tuned for a specific bullet release.

  If that is really that bad, it is really painful, as you will not be
able to maintain all the versions of the library that are needed for
every specific depending package in the archive. Making a static
library won't help here, as a simple binNMU would make significant
changes to an otherwise OK package.

> Perhaps this might be different in
> the case of Blender or Panda3D (not yet packaged).
>
> With the above CMAKE construct i can produce libraries like
>
> /usr/lib/<Triplet>/libbulletcollision.so -> libbulletcollision.so.0
> /usr/lib/<Triplet>/libbulletcollision.so.2 -> libbulletcollision.so.2.8.1
>
> but i have to patch all CMakelists.txt files. (I don't know if there is an
> easier solution within debian/rules.)
>
> So in theory it is possible to create a sane versioning scheme but this
> is completely unsupported by upstream and will most likely result in
> broken games because we cannot assess what effects a new version of
> Bullet will have on ingame physics.
>
> As Vincent has already said, the Release Team won't like the thought to
> make a transition every time a new Bullet version is released. But is
> this really so bad? I mean, there are only a few packages which would
> depend on Bullet like Blender, perhaps Supertuxkart and probably
> FreeOrion.

  For the time being, I suggest you stick to upstream way of doing
things regarding SONAME, and that when you're fed up bothering the
release team for transitions, you'll have the energy and the
background necessary to talk upstream into making something more
stable ;-)...

  I would not recommend making it a static library. Linking with
static libraries has many drawbacks (in terms of security) and should
be avoided as much as possible.

> So if i understand the choices correctly, only bumping the SONAME is a
> sane solution.
>
> Provided the aforementioned assumption is true, is there really a difference
> between
>
> libbulletcollision-2.81 -> libbulletcollision-2.81.so.0.0.0
>
> libbulletcollision2.81 -> libbulletcollision.so.2.81
e
>
> ? In the end the name of the package has to change, correct?

  I'm not sure I see what you mean here. I'm not sure you can have
such thing as a library named libbulletcollision.so.2.81, but my
knowledge of ld.so and friends clearly has its limits ;-).

  Hope all this helps,

  Cheers,

      Vincent



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Sun, 17 Feb 2013 14:30:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to shirish शिरीष <shirishag75@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Sun, 17 Feb 2013 14:30:06 GMT) Full text and rfc822 format available.

Message #156 received at 476284@bugs.debian.org (full text, mbox):

From: shirish शिरीष <shirishag75@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: 476284@bugs.debian.org
Subject: Re: progress with bullet engine ?
Date: Sun, 17 Feb 2013 19:57:29 +0530
at bottom :-

On Sun, Feb 17, 2013 at 7:45 PM, Markus Koschany <apo@gambaru.de> wrote:
> On 17.02.2013 08:45, shirish शिरीष wrote:
>> Hi Markus,
>> Just wanted to know how closer you are to release bullet engine ?
>>
>> I did see you did some changes some days ago, looking forward to learn more.
>>
>> http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git;a=log;h=refs/heads/master
>>
>> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=476284 (for reference).
>>
>> Looking forward to know more from you.
>
>
> Hi shirish,
>
> the greatest blocker is, there must be a need for the library. I will
> talk to the maintainers of Blender and ask for their opinions. It
> depends on their feedback whether it is really necessary to package all
> extras or just the core of bullet.
>
> Otherwise i will check whether it is feasible to maintain FreeOrion, the
> only other game at the moment which would benefit from Bullet. Of course
> i also need a sponsor.
>
> The package is usable, please feel free to make use of it as you see fit.
>
> Regards,
>
> Markus

Hi Markus,
I could do that but am hoping we do get support. One of the games
which I have wanted to try is lips of suna (http://lipsofsuna.org/)
which as the site describes it a tongue-in-cheek dungeon crawling rpg
but it also needs libbullet-dev to function.

Looking forward to some progress on the above.

Till l8er.
-- 
          Regards,
          Shirish Agarwal  शिरीष अग्रवाल
  My quotes in this email licensed under CC 3.0
http://creativecommons.org/licenses/by-nc/3.0/
http://flossexperiences.wordpress.com
065C 6D79 A68C E7EA 52B3  8D70 950D 53FB 729A 8B17



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Mon, 18 Mar 2013 23:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Mon, 18 Mar 2013 23:15:04 GMT) Full text and rfc822 format available.

Message #161 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: debian-multimedia@lists.debian.org
Cc: mfv.debian@gmail.com, 476284@bugs.debian.org
Subject: Bullet Physics Library
Date: Tue, 19 Mar 2013 00:11:32 +0100
[Message part 1 (text/plain, inline)]
Hello Multimedia Team,

during the last months i have adopted a few games for the Games Team and
i also intend to package Bullet [1], a 3D physics library. I have
already introduced Bullet on devel-games [2] and wanted to do the same
here.

I'm mostly interested in what the Blender maintainers think about Bullet
as a shared library, hence the CC to Matteo, and i would like to know
more about your needs with respect to Bullet. Can you imagine that a
shared library can replace the embedded version in Blender? Do you
prefer Bullet with just the core libraries or can you make use of all
the extra libs, too?

You can have a look at these two options at [3] where Bullet is
maintained in a Git repository, and i have uploaded Bullet (core) to
mentors as well. [4]

I will try to consider your suggestions and then move on to find a
sponsor for my package. If you think Bullet can be useful for the
Multimedia Team, i have no problems to join the team and maintain it here.

Every feedback is welcome. (Please CC me, i'm not subscribed yet)

Regards,

Markus


[1] http://bulletphysics.org
[2] https://lists.debian.org/debian-devel-games/2013/01/msg00024.html
[3] http://anonscm.debian.org/gitweb/?p=pkg-games/bullet.git
[4] http://mentors.debian.net/package/bullet

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Tue, 19 Mar 2013 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Tue, 19 Mar 2013 08:15:04 GMT) Full text and rfc822 format available.

Message #166 received at 476284@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Markus Koschany <apo@gambaru.de>
Cc: debian-multimedia@lists.debian.org, mfv.debian@gmail.com, 476284@bugs.debian.org, debian-devel-games@lists.debian.org
Subject: Please consider maintaining Blends information (Was: Bullet Physics Library)
Date: Tue, 19 Mar 2013 09:10:36 +0100
Hi Markus,

please excuse my shameless plug to steal your thread for a completely
different but IMHO urgent topic which is also relevant for Debian
Multimedia as well as Games.

On Tue, Mar 19, 2013 at 12:11:32AM +0100, Markus Koschany wrote:
> during the last months i have adopted a few games for the Games Team and

Cool.  Did you ever checked whether these games are properly mentioned,
classified and thus advertised to the public at the web sentinel of
Debian Games[1]?  The last changes on the games tasks files were done by
me (even if I'm not involved in Debian Games and thus perfectly
incompetent in categorising games) at 2011-11-27[2].  It would be really
great if somebody in the Debian Games team would consider having a look
at this effort which is really brain dead simple (just add a line

    Depends: <binary_package>

to a file and be done - longer doc is available as well[3])

The same is perfectly valid for Debian Multimedia: Last change was done
at 2011-07-27 (by fsateler)[4] and those both teams are missing a really
big chance to get new users / developers by failing to drive by the
Debian Wheezy release notes which is regarded by a large user base all
over the world.  IMHO it is your choice to tell the world:

  Hey, there are people inside Debian who care about Games / Multimedia
  and we have all this cool stuff for you.  Debian wants to be one of
  the big distributions in this field.

or you can keep on doing your admitedly fine technical work in your
teams which are really studious but shyly hidden inside the large
package pool of Debian with 30k packages.  If you like a proof that
making some noise about what you are doing you might like to have a look
at this questionaire[5] where ten developers (=one per year of the
existence of Debian Med project) confirm that they are only for one
reason DDs: because Debian Med project exists.  You can also have a look
at the teammetrics graphs of Debian Med[6] to see this effect if you can
not believe that even a leaf project with a potentionally small user
base like medical care and biology can gain some traktion inside Debian.

I do strongly believe that if you - as projects which potentially *way*
more users than the leaf project Debian Med - try to make some basic
effort in advertising your nice projects to the world by simply using
the tools that are available for Blends (and there is even a skeleton
ready to use available in [2] and [4]) you could get a lot of more users
and developers into your boat.  Please do not miss this chance and take
care about this stuff a bit more.

More details about this in my talk at last FOSDEM ([7] - including link
to video recording of the talk) which is rather about the strategic
effect of running a Blend than the technique which is very simple and
is documented anyway[3].

Kind regards

      Andreas.

PS: I'm not subscribed to debian-devel-games@lists.debian.org - please
    CC me in case of questions.

[1] http://blends.alioth.debian.org/games/tasks/
[2] svn://svn.debian.org/svn/blends/projects/games/trunk/debian-games
[3] http://blends.alioth.debian.org/blends/
[4] svn://svn.debian.org/svn/blends/projects/multimedia/trunk/debian-multimedia
[5] https://wiki.debian.org/DebianMed/Developers
[6] http://debian-med.debian.net/
[7] http://people.debian.org/~tille/talks/201302_fosdem_distro/

-- 
http://fam-tille.de



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Markus Koschany <apo@gambaru.de>:
Bug#476284; Package wnpp. (Tue, 19 Mar 2013 10:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Matteo F. Vescovi" <mfv.debian@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Markus Koschany <apo@gambaru.de>. (Tue, 19 Mar 2013 10:24:03 GMT) Full text and rfc822 format available.

Message #171 received at 476284@bugs.debian.org (full text, mbox):

From: "Matteo F. Vescovi" <mfv.debian@gmail.com>
To: Markus Koschany <apo@gambaru.de>
Cc: debian-multimedia@lists.debian.org, 476284@bugs.debian.org
Subject: Re: Bullet Physics Library
Date: Tue, 19 Mar 2013 11:21:07 +0100
Hi Markus!

On Tue, Mar 19, 2013 at 12:11:32AM +0100, Markus Koschany wrote:
> I'm mostly interested in what the Blender maintainers think about Bullet
> as a shared library, hence the CC to Matteo, and i would like to know
> more about your needs with respect to Bullet. Can you imagine that a
> shared library can replace the embedded version in Blender? Do you
> prefer Bullet with just the core libraries or can you make use of all
> the extra libs, too?

Well, Bullet is a bad beast for Blender... ;-)

I recall the fights Diego Petteno' (Blender packager for Gentoo) had to
face while trying to integrate a shared version of bullet library
instead of the embedded one :-)

I'd be happy to test the use of the shared version of it in the Debian
package, being its absence from archives the only issue at the moment.
It would be great even to use the entire pack of libraries, not only the
core one. Let me know if you need some help in shaping the package, if
I'm able to ;-P

IIRC, some DDs of Games Team are also part of DMM Team. Maybe you could
find a sponsor here, directly.

Thanks for your efforts in improving Blender and Debian!

Cheers.

-- 
Matteo F. Vescovi
Debian Maintainer
GnuPG KeyID: 83B2CF7A



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#476284; Package wnpp. (Tue, 19 Mar 2013 17:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Koschany <apo@gambaru.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 19 Mar 2013 17:33:08 GMT) Full text and rfc822 format available.

Message #176 received at 476284@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: "Matteo F. Vescovi" <mfv.debian@gmail.com>
Cc: debian-multimedia@lists.debian.org, 476284@bugs.debian.org
Subject: Re: Bullet Physics Library
Date: Tue, 19 Mar 2013 18:32:30 +0100
[Message part 1 (text/plain, inline)]
Hi Matteo,

On 19.03.2013 11:21, Matteo F. Vescovi wrote:
[...]
> Well, Bullet is a bad beast for Blender... ;-)
> 
> I recall the fights Diego Petteno' (Blender packager for Gentoo) had to
> face while trying to integrate a shared version of bullet library
> instead of the embedded one :-)

Hehe, i hope he succeeded at last. :-)

> I'd be happy to test the use of the shared version of it in the Debian
> package, being its absence from archives the only issue at the moment.
> It would be great even to use the entire pack of libraries, not only the
> core one. Let me know if you need some help in shaping the package, if
> I'm able to ;-P

Many thanks for your offer. I have uploaded the complete version of
Bullet with all the bells and whistles at mentors.

https://mentors.debian.net/package/bullet

I'd be glad if you could test the package and give some feedback whether
you find it useful. My main concern about Bullet is that the SONAME
frequently changes but also in a predictable manner. More precisely it
changes with every new release which happens twice a year. So i want to
stay in close contact with those maintainers who are actually using
Bullet at the moment thus major breakage can be avoided. ;-)

> IIRC, some DDs of Games Team are also part of DMM Team. Maybe you could
> find a sponsor here, directly.

The maintainer of supertuxkart has shown little interest for Bullet so
far. I have got some feedback from readers of devel-games but no one in
the Games Team seemed interested in co-maintaining Bullet. I'm prepared
to do the day-to-day maintenance but would appreciate a more experienced
library packager who knows more about transitions and who can share some
knowledge here.

My hope is that Bullet will open the door for more sophisticated 3D
applications and games [1] which will surely make Debian more
interesting for professional 3D content developers and for users who
appreciate complex games.

Regards,

Markus


[1] http://en.wikipedia.org/wiki/Bullet_%28software%29#Open_source_and_other




[signature.asc (application/pgp-signature, attachment)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 07 Apr 2013 08:06:04 GMT) Full text and rfc822 format available.

Reply sent to Markus Koschany <apo@gambaru.de>:
You have taken responsibility. (Thu, 18 Apr 2013 22:03:05 GMT) Full text and rfc822 format available.

Notification sent to Guillaume Libersat <glibersat@linux62.org>:
Bug acknowledged by developer. (Thu, 18 Apr 2013 22:03:05 GMT) Full text and rfc822 format available.

Message #183 received at 476284-close@bugs.debian.org (full text, mbox):

From: Markus Koschany <apo@gambaru.de>
To: 476284-close@bugs.debian.org
Subject: Bug#476284: fixed in bullet 2.81-rev2613+dfsg-1
Date: Thu, 18 Apr 2013 22:00:10 +0000
Source: bullet
Source-Version: 2.81-rev2613+dfsg-1

We believe that the bug you reported is fixed in the latest version of
bullet, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 476284@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Markus Koschany <apo@gambaru.de> (supplier of updated bullet package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Mon, 25 Mar 2013 00:03:02 +0100
Source: bullet
Binary: libbulletsoftbody2.81 libbulletcollision2.81 libbulletdynamics2.81 liblinearmath2.81 libhacd2.81 libconvexdecomposition2.81 libbulletfileloader2.81 libbulletworldimporter2.81 libbulletxmlworldimporter2.81 libgimpactutils2.81 libbullet-dev libbullet-extras-dev libbullet2.81-dbg libbullet-doc
Architecture: source amd64 all
Version: 2.81-rev2613+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Markus Koschany <apo@gambaru.de>
Description: 
 libbullet-dev - professional 3D Game Multiphysics Library -- development files
 libbullet-doc - professional 3D Game Multiphysics Library -- documentation
 libbullet-extras-dev - professional 3D Game Multiphysics Library -- extra development
 libbullet2.81-dbg - professional 3D Game Multiphysics Library -- debugging symbols
 libbulletcollision2.81 - professional 3D Game Multiphysics Library -- collision
 libbulletdynamics2.81 - professional 3D Game Multiphysics Library -- dynamics
 libbulletfileloader2.81 - professional 3D Game Multiphysics Library -- file loader
 libbulletsoftbody2.81 - professional 3D Game Multiphysics Library -- soft body
 libbulletworldimporter2.81 - professional 3D Game Multiphysics Library -- world importer
 libbulletxmlworldimporter2.81 - professional 3D Game Multiphysics Library -- xml world importer
 libconvexdecomposition2.81 - professional 3D Game Multiphysics Library -- convex decomposition
 libgimpactutils2.81 - professional 3D Game Multiphysics Library -- GIMPACT
 libhacd2.81 - professional 3D Game Multiphysics Library -- HACD
 liblinearmath2.81 - professional 3D Game Multiphysics Library -- mathematics
Closes: 476284
Changes: 
 bullet (2.81-rev2613+dfsg-1) unstable; urgency=low
 .
   * Initial release.
     Thanks to Wen-Yen Chuang, Paul Wise and Gonéri Le Bouder for their
     contributions to the initial packaging work. (Closes: #476284)
Checksums-Sha1: 
 6ff087ddac59d55e077cbe80bbefff28255eae0c 2905 bullet_2.81-rev2613+dfsg-1.dsc
 f576a5abb5ea06e38bde0548d2a95d5f9bed00c6 2762424 bullet_2.81-rev2613+dfsg.orig.tar.xz
 f1a708af0451781c98c75a7a49e6d3f1fe1b8f5e 9232 bullet_2.81-rev2613+dfsg-1.debian.tar.xz
 873241819c6056b68d6b20b4512a8728a8e3ba25 116824 libbulletsoftbody2.81_2.81-rev2613+dfsg-1_amd64.deb
 752f58673da51598a8b9ac3d88e4ffdc30e10acb 290168 libbulletcollision2.81_2.81-rev2613+dfsg-1_amd64.deb
 d5b32ff0fc0ec1b3d40d33c3720f183084c6af5c 141596 libbulletdynamics2.81_2.81-rev2613+dfsg-1_amd64.deb
 c471d12a1c5a8c5c5d06da35df98ccca92d9fbe9 63738 liblinearmath2.81_2.81-rev2613+dfsg-1_amd64.deb
 08b157ea6c95797046197b8b79b7c89d67fc352b 67346 libhacd2.81_2.81-rev2613+dfsg-1_amd64.deb
 0deee0a0da7050d5b683a0e4a0415f845ebf65c0 73388 libconvexdecomposition2.81_2.81-rev2613+dfsg-1_amd64.deb
 734ea31558e65f03567135904c3505574da27835 43894 libbulletfileloader2.81_2.81-rev2613+dfsg-1_amd64.deb
 0318adfe86810269654cbf5ef04971c55d25630a 49056 libbulletworldimporter2.81_2.81-rev2613+dfsg-1_amd64.deb
 03a0e2847a895dc26e49a4f0c9f8ebd5262ffdc5 38780 libbulletxmlworldimporter2.81_2.81-rev2613+dfsg-1_amd64.deb
 14a93249107bcf269404a655d0035d6a75297c86 30714 libgimpactutils2.81_2.81-rev2613+dfsg-1_amd64.deb
 60973ecb0260eb1508e14e090f604cdae1061daf 213078 libbullet-dev_2.81-rev2613+dfsg-1_amd64.deb
 1eccb577f28c42e7b948a29873402e35849b8c34 66632 libbullet-extras-dev_2.81-rev2613+dfsg-1_amd64.deb
 aa90bc35890b8e464d294581d9d8403223dc26e1 4364762 libbullet2.81-dbg_2.81-rev2613+dfsg-1_amd64.deb
 0429e15f7305e79d266c34dc23124b2eb9fd80d3 113190526 libbullet-doc_2.81-rev2613+dfsg-1_all.deb
Checksums-Sha256: 
 e24ba932ae22107749fdad9fc4542cf6840dfd083f88f9eff0bb7c8042175373 2905 bullet_2.81-rev2613+dfsg-1.dsc
 a3ba0a4fbc7f1e71a0b651f89b4c3d4747c23ca3f46a82271b4c28110948a5e5 2762424 bullet_2.81-rev2613+dfsg.orig.tar.xz
 93ebf97ae19e8960dc45565f08fa72a8c0dfe77d9416829b4d7b143a8692b452 9232 bullet_2.81-rev2613+dfsg-1.debian.tar.xz
 7756858e5c5e5c0aa5d7bb94ad92fda2cd7a8af82fc283043afc23bdaa17a520 116824 libbulletsoftbody2.81_2.81-rev2613+dfsg-1_amd64.deb
 d34771e3cec42ee6d29e293f896c36852c31dfae697c61bb5a0a3a13c1e8085d 290168 libbulletcollision2.81_2.81-rev2613+dfsg-1_amd64.deb
 b8534316e9cc0a19bb27e527d485b44b0207c67208c2e2243b692dfe3a1aa47b 141596 libbulletdynamics2.81_2.81-rev2613+dfsg-1_amd64.deb
 cf0ed24637f0959a4db90027d465daf4adff98f2abb09bebac14e608926473f2 63738 liblinearmath2.81_2.81-rev2613+dfsg-1_amd64.deb
 716ecb53fed429fd31360670d9c8a3bcaddef183ddfd38bf55b235ddf5875ba1 67346 libhacd2.81_2.81-rev2613+dfsg-1_amd64.deb
 a9db0453d1d181d0ddea0af62064cca29d62b915643a7da82c21c91e038db5d3 73388 libconvexdecomposition2.81_2.81-rev2613+dfsg-1_amd64.deb
 58a1e60a8cab417afe533ad50a39251d52e6e4ea431f0d2de9c877b87064dbf1 43894 libbulletfileloader2.81_2.81-rev2613+dfsg-1_amd64.deb
 7d6b6f0d5f5e4e5cc2e4f700efbb34332782c7ecf3526d97a619b3a4f640b920 49056 libbulletworldimporter2.81_2.81-rev2613+dfsg-1_amd64.deb
 445a1e56c31cfd3efa7634d01a249533b07ddae34b95aefe7ecc8b30273335ee 38780 libbulletxmlworldimporter2.81_2.81-rev2613+dfsg-1_amd64.deb
 75dc1aa03987ea88130276b805de59865e2a8fe6c17e78a5feec43c88d17b567 30714 libgimpactutils2.81_2.81-rev2613+dfsg-1_amd64.deb
 0bd3be192915c5b09de84e723dfcdb455ec6c43caa66ca026eec4865f6f2e22c 213078 libbullet-dev_2.81-rev2613+dfsg-1_amd64.deb
 caa0862be8ad3f8ae24cae4ce70f72bd4335564f1f438ba163c56614ddefbd23 66632 libbullet-extras-dev_2.81-rev2613+dfsg-1_amd64.deb
 affd3834ae3c7060dce65cd1854f8e2adaf189c728eef42dc755acb072775c8f 4364762 libbullet2.81-dbg_2.81-rev2613+dfsg-1_amd64.deb
 7fadd25cec76ab3a140593589891ea6846c3a8d502e03d8e9cc12bdcd0eedfca 113190526 libbullet-doc_2.81-rev2613+dfsg-1_all.deb
Files: 
 c8e4fc6c21d6c5b881636af0669b70a0 2905 libs optional bullet_2.81-rev2613+dfsg-1.dsc
 ca2d3024956a72484205e655f29c1288 2762424 libs optional bullet_2.81-rev2613+dfsg.orig.tar.xz
 047b1f5d92d747deb6d66cc82404f9cb 9232 libs optional bullet_2.81-rev2613+dfsg-1.debian.tar.xz
 53c9d2830caf44d1b295704ea835ec09 116824 libs optional libbulletsoftbody2.81_2.81-rev2613+dfsg-1_amd64.deb
 7e1688d23b5c028939a0e1cafec13d3d 290168 libs optional libbulletcollision2.81_2.81-rev2613+dfsg-1_amd64.deb
 ca720d2ccf65c7fa66f95fcf97cffafb 141596 libs optional libbulletdynamics2.81_2.81-rev2613+dfsg-1_amd64.deb
 086f090bdd20443edc7113e4244206b4 63738 libs optional liblinearmath2.81_2.81-rev2613+dfsg-1_amd64.deb
 d83330a09460e002a38a77ebd1322ee4 67346 libs optional libhacd2.81_2.81-rev2613+dfsg-1_amd64.deb
 547f35de5a92f35b6684445b3f0bb369 73388 libs optional libconvexdecomposition2.81_2.81-rev2613+dfsg-1_amd64.deb
 54f7901de3f28c6d08341efa1cff3456 43894 libs optional libbulletfileloader2.81_2.81-rev2613+dfsg-1_amd64.deb
 aee0fe4fc22ad906ec3333f0f802554f 49056 libs optional libbulletworldimporter2.81_2.81-rev2613+dfsg-1_amd64.deb
 1a8b7e606a04cbf70e5c850d299dd2dc 38780 libs optional libbulletxmlworldimporter2.81_2.81-rev2613+dfsg-1_amd64.deb
 713dee8898ca7afa4b90615d2194e8bb 30714 libs optional libgimpactutils2.81_2.81-rev2613+dfsg-1_amd64.deb
 528dd2ec592b31f1bd2dcf9fde9b1395 213078 libdevel optional libbullet-dev_2.81-rev2613+dfsg-1_amd64.deb
 91dc883563664404e96587767c02b7f8 66632 libdevel optional libbullet-extras-dev_2.81-rev2613+dfsg-1_amd64.deb
 17abd1cd3a28779e9d361675173a5e72 4364762 debug extra libbullet2.81-dbg_2.81-rev2613+dfsg-1_amd64.deb
 c22edefd04cd09e75f700bb77411e9f2 113190526 doc optional libbullet-doc_2.81-rev2613+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)
Comment: Debian!

iQIcBAEBCgAGBQJRYHsSAAoJEFWSMx4ZnTioDD0P/0GBYaZQzPHx2kiYrpeQMsHn
bt7kVoniPY9y8Ac2M2KfZBlkcbi/DoSAkoBiPhsT+8DHG/DktlJFsJUAP9yX76Ds
PQe3JcYT44DvsYikmqMsarIv/6Kcw/jHmsN09kqcvqNjeBtoFMUXa2WusmRDi0wS
j+ZIEE0q4Sktm0roi5G/jdXdeSHKnK6cUE0dmg1tdqgrw4+LwrtUsG6ANQ9GFzM8
mifMS5LHQDeBFIMmznnDm4eueIye5yAuBSMAKwkfBpg8z3vp1B9R6KuLLIQ7UmKp
C2rAR4bN8kwQJ8XUMk411K+ZVMcO9s5k7LxFVtTx089no8nZfXxt+ItHRNQKkJy6
qS7MdanAJ2f4TObqE5gE18lixZpppTQhJsKR91f7LkAvnDIEQ/CJPkKc2JM+VQqd
cXjDhONluP4GuKw12eQaZExVDeLb/tTrjtZiAl0OZIJte7Euhu9qEGGZqP/ZfyvV
dUy+79wIssjMWz1KubiTf9MGh1/2k54eNc4L0cE2MXB1gkRya5AVPAmSgapoLJsj
x6rbUvImiQsOLXTRelZCBH5HBg7gC0ARrioLGGBgddseAl8sKYIxZV07KfTiPLbr
wSpFQ8EPQexjvG4BqAPAGO644/VjVLkkFywWjZjs9iMAgYlc7av+70DwTk+v/r5J
P1+/NFUCFGQpVlGdbC6k
=vi91
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 17 May 2013 07:36:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:31:27 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.